com.impinj.octane

## Class GpoConfigGroup

- java.lang.Object
- - com.impinj.octane.GpoConfigGroup

- All Implemented Interfaces:
    java.lang.Iterable<GpoConfig>

      public class GpoConfigGroup
      extends java.lang.Object
      implements java.lang.Iterable<GpoConfig>

  Container class for holding the General Purpose Output (GPO) configuration for the readers set of output

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(java.lang.Object config)`
    `GpoConfig` | `get(int i)`
    `GpoConfig` | `getGpo(short portNumber)` eturns the settings for the specified GPO port.
    `java.util.Iterator<GpoConfig>` | `iterator()`
    `void` | `set(int i, GpoConfig newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### get

          public GpoConfig get(int i)

      Parameters:
        `i` - the GPO port number
      Returns:
        The GpoConfig for the specified port number

    - #### set

          public void set(int i,
                          GpoConfig newValue)

      Parameters:
        `i` - the GPO to set
        `newValue` - the config value for the GPO

    - #### add

          protected void add(java.lang.Object config)
                      throws OctaneSdkException

      Throws:
        `OctaneSdkException`

    - #### getGpo

          public GpoConfig getGpo(short portNumber)
                           throws OctaneSdkException

      eturns the settings for the specified GPO port.
      Parameters:
        `portNumber` - the port number to get
      Returns:
        The GpoConfig
      Throws:
        `OctaneSdkException` - if the port does not // exist

    - #### iterator

          public java.util.Iterator<GpoConfig> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<GpoConfig>`
      Returns:
        an iterator to the Gpo